<html>
<body>
<!-- #include file=ExcelOLE.asp -->
<%
'Important include file above. you can insert the class code directly into the page, but for plug and play easy, leave it in an include file.
'See ExcelOLE.htm for full instructions

' ExcelOLE Demo
' Excel File access via OLE Automation
' Written by Hunter Beanland
' http://www.geocities.com/hbeanland/
' hbeanland@yahoo.com.au

	Dim ArrayIndex, RowIndex
	'Create an instance of the ExcelOLE class
	Dim MyExcelFile
	Set MyExcelFile = New ExcelOLE
	
	'You can use a With statement to avoid explicitly mentioning the "MyExcelFile."  class name every time.
	'With MyExcelFile
	'End With
	
	'Open the Demo spreadsheet with error checking
	Response.Write("<font face='arial'><b>Opening Demo Spreadsheet:</b><br>")
	if not MyExcelFile.OpenSpreadsheet("ExcelDemo.xls") then
		'The filenames are stored here during the open process
		Response.Write(MyExcelFile.AbsoluteFileName & " (" & MyExcelFile.VirtualFileName & ")<br>")
		Response.Write(MyExcelFile.ErrorText & "<br>")
	else
		'The filenames are stored here during the open process
		Response.Write(MyExcelFile.AbsoluteFileName & " (" & MyExcelFile.VirtualFileName & ")<br>")
		Response.Write("Open<br>")
	end if
	'Flush now so we can see what's going on
	Response.Flush

	'Display the Sheets found when we opened the spreadsheet
	Response.Write("<p><b>Worksheets Found:</b><br>")
	For ArrayIndex = 0 to MyExcelFile.NumSheets - 1  'Sheets are referenced from 0 not 1
		Response.Write(MyExcelFile.Sheets(ArrayIndex) & "<br>")
	Next
	
	'Open a worksheet via it's name  - with error checking
	Response.Write("<p><b>Opening worksheet:</b> 'Demo'<br>")
	if not MyExcelFile.OpenWorksheet("Demo") then
		Response.Write(MyExcelFile.ErrorText & "<br>")
	else
		Response.Write("Open<br>")
		Response.Flush

		'Display the Columns found when we opened the worksheet
		Response.Write("<p><b>Columns Names and Data Found:</b><br>")
		Response.Write("<table cellpadding='1' cellspacing='1' border='1' style='border-collapse: collapse; font-family: Arial; font-size: 10pt;' bordercolor='#111111'><tr bgcolor='#ccffcc'>")
		For ArrayIndex = 0 to MyExcelFile.NumColumns -1  'Columns are referenced from 0 not 1
			Response.Write("<td>" & MyExcelFile.Columns(ArrayIndex) & "</td>")
		Next
		
		'I can also skip a few rows ahead if i wish
		'MyExcelFile.CurrentRow = 3

		'Display each data row via the ReadRow method
		While MyExcelFile.ReadRow
			Response.Write("</tr><tr>")
			For ArrayIndex = 0 to MyExcelFile.NumColumns -1
				Response.Write("<td>" & MyExcelFile.ColumnData(ArrayIndex) & "</td>")
			Next
		wend	
		Response.Write("</tr></table>")
	end if
	
	'Open a named space for writing via it's index - with error checking
	Response.Write("<p><b>Opening Sheet2 for updating:</b><br>")
	if not MyExcelFile.OpenWorksheet(MyExcelFile.Sheets(2)) then
		Response.Write(MyExcelFile.ErrorText & "<br>")
	else
		Response.Write("Open<br>")

		'This is a quick way of reading and writing cells - with error checking
		Dim Temp
		Temp = MyExcelFile.CellRead(2,2)
		if not MyExcelFile.CellWrite(2,2,"I am newly inserted") then Response.Write(MyExcelFile.ErrorText & "<br>")
		
		'Examples of a few direct functions which can be used:
		'For a complete list of functions, (and their usage) see MS VBA Help: In Excel, Start the VB Editor (Alt-F11) then go to Help (F1)
		MyExcelFile.ExcelBook.ActiveSheet.Cells(2,1).EntireRow.Insert
		MyExcelFile.ExcelBook.ActiveSheet.Cells(2,2).EntireColumn.Insert
		MyExcelFile.ExcelBook.ActiveSheet.Cells(2,2).Value = "I am newly inserted"
		MyExcelFile.ExcelBook.ActiveSheet.Range("A1:D20").Borders.LineStyle = 1
		MyExcelFile.ExcelBook.ActiveSheet.Range("A1:D20").Borders.Weight = 2
		MyExcelFile.ExcelBook.ActiveSheet.Cells(1,1).Font.Bold = False
		MyExcelFile.ExcelBook.ActiveSheet.Range("A1").HorizontalAlignment = -4152
		
		'Display the Columns found when we opened the sheet
		Response.Write("<p><b>Columns Names and Data Found:</b><br>")
		Response.Write("<table cellpadding='1' cellspacing='1' border='1' style='border-collapse: collapse; font-family: Arial; font-size: 10pt;' bordercolor='#111111'><tr bgcolor='#ccffcc'>")
		For ArrayIndex = 0 to MyExcelFile.NumColumns -1
			Response.Write("<td>" & MyExcelFile.Columns(ArrayIndex) & "</td>")
		Next
		response.Write("</tr>")
		
		'Display the first 2 rows and 3 columns via direct access to the Excel's workbook object (ExcelBook)
		for RowIndex = 2 to 3
			response.Write("<tr>")
			for ArrayIndex = 1 to 3
				response.Write("<td>" & MyExcelFile.ExcelBook.ActiveSheet.Cells(RowIndex, ArrayIndex).Value & "</td>")
			next
			response.Write("</tr>")
		next	
		Response.Write("</table>")
	end if
	
	'Save the Spreadsheet as a new workbook
	MyExcelFile.SaveSpreadsheet("ExcelDemoNew.xls")
	
	'Close the Spreadsheet (destroying the object - setting it to nothing - will do this anyway)
	MyExcelFile.CloseSpreadsheet
	Response.Write("<p><b>Spreadsheet Closed</b><br>")

	'Create a new blank workbook
	MyExcelFile.NewSpreadsheet("ExcelDemoNew2.xls")
	MyExcelFile.ExcelBook.ActiveSheet.Cells(2,2).Value = "I am newly inserted"
	MyExcelFile.SaveSpreadsheet("")
	
	'Destroy the object, releasing memory and closing resources if open
	Set MyExcelFile = nothing

%>
</body>
</html>